%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-drv-sisimedia
Version: 0.9.1
Release: alt0.M60T.1.2.20091203.9

Summary: Video driver for SiS 670 / 671 cards
License: MIT/X11
Group: System/X11

Url: http://www.linuxconsulting.ro/xorg-drivers/
# Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-0.9.1.tar.bz2
Source: %name-%version.tar

# patches from x11-driver-video-sisimedia-0.9.1-2.20091203.9-mdv2011.0
Patch1: 0001-xf86-video-sis-0.9.1-20102701.patch
Patch2: 0002-Remove-XFree86-Misc-PassMessage-support.patch
Patch3: 0003-Fix-build-with-Werror-format-security.patch
Patch4: 0004-Fix-backlight-off-on-SiS30x.-video-bridges.patch
Patch5: 0005-Add-IgnoreHotkeyFlag-driver-option.patch
Patch6: 0006-xf86-video-sis-0.9.1-dump-regs-after-video-init.patch
Patch7: 0007-Remove-useless-loader-symbol-lists.patch
Patch8: 0008-Update-to-xextproto-7.1-support.patch
Patch9: 0009-sis-update-for-resources-RAC-API-removal.patch
Patch10: 0010-sis-change-to-using-ABI-version-check.patch
Patch11: 0011-More-RAC-removal.patch
Patch12: 0012-Remove-mibank.h-reference.patch
Patch13: 0013-Update-to-new-CreateNewResourceType-API.patch

Patch101: %name-%version-num_blit.patch
Patch102: %name-%version-configure.patch
Patch103: %name-%version-pci.patch
Patch104: %name-%version-exa.patch
Patch105: %name-%version-incl.patch
Patch106: %name-%version-xf86serv.patch
Patch107: %name-%version-util.patch
Patch108: %name-%version-xiptr.patch
Patch109: %name-%version-open.patch
Patch110: %name-%version-vidmode.patch
Patch111: %name-%version-fix.patch
Patch112: %name-%version-sisread.patch

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-dri-sis
Obsoletes: xorg-x11-drv-sis671 < 0.9.1
Obsoletes: xorg-x11-drv-sisimedia
Provides: xorg-x11-drv-sisimedia = %version-%release

BuildRequires(Pre): xorg-sdk
BuildRequires: libGL-devel xorg-glproto-devel xorg-xf86dgaproto-devel xorg-xf86driproto-devel
#BuildRequires: libGL-devel xorg-xf86dgaproto-devel xorg-xf86driproto-devel
# BuildRequires: xorg-videoproto-devel xorg-xf86miscproto-devel
##BuildRequires: libdrm-devel libmesa-devel xorg-sdk xorg-proto-devel xorg-xf86miscproto-devel
##BuildRequires: xorg-util-macros libXvMC-devel libXv-devel

%description
This is the video driver for SiS 670 / 671 cards which are
not supported by the X.org 'sis' driver. This code is very
different, so the two cannot be easily merged.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1

%build
# rename driver sisimedia so it can co-exist with x.org sis driver
# - AdamW 2008/08
sed -i -e 's,sis_drv,sisimedia_drv,g' src/Makefile.am
sed -i -e 's,\"sis\",\"sisimedia\",g' src/sis.h
sed -i -e 's,sisModuleData,sisimediaModuleData,g' src/sis_driver.c

%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	--disable-static
%make_build

%install
%makeinstall_std
# just a copy of the x.org driver manpage and so not really any
# use - AdamW 2008/08
rm -f %buildroot%_man4dir/sis.*

## install -pD -m644 xf86-video-sis671.xinf %%buildroot%%_hwdatadir/sis671.xinf

%files
%_modulesdir/drivers/*.so
%_modulesdir/drivers/*.la
##%%dir %%_hwdatadir
##%%_hwdatadir/*.xinf

%changelog
* Mon Feb 06 2012 Michael Shigorin <mike@altlinux.org> 0.9.1-alt0.M60T.1.2.20091203.9
- built for t6/branch (closes: #22610)

* Sun Jan 29 2012 Andrey Liakhovets <liakh@dol.ru> 0.9.1-alt0.M60P.1.2.20091203.9
- requires fixed

* Sat Jan 28 2012 Andrey Liakhovets <liakh@dol.ru> 0.9.1-alt0.M60P.0.2.20091203.9
- based on x11-driver-video-sisimedia-0.9.1-2.20091203.9-mdv2011.0
  and on xorg-drv-sis 1:0.10.3-alt3
- temporary: preserved *.la, removed my *.xinf
- removed all my previous patches except NUM_BLIT_PORTS
  (applied in Mandriva, sisRegs3D4 range OK too)
- configure.ac changed as in xorg-drv-sis 1:0.10.3-alt3
- pci access corrected as in xorg-drv-sis 1:0.10.3-alt3
- exa version check against 0,1,0 removed
- standard includes added
- XFree86Server-ifdef removed
- sis_utility.c: SISCRT1PreInit, SiS_DetectVGA1 from sis_driver.h
- miPointerAbsoluteCursor: http://patchwork.freedesktop.org/patch/8595/
  (with correction)
- sis_driver.c: fix open mode
- sis_driver.c: include vidmodeproc.h
- small fixes
- sis_video.c: _sisread fixed

* Sun Jul 04 2010 Andrey Liakhovets <lyakhovets@rovercomputers.ru> 0.9-alt1.0.my
- xinf added (? - sis,xgi)
- la unpackaged
- 'xorg-drv-sis'-like changes (1:0.10.1-alt2 to 1:0.10.2-alt2):
 + >= NUM_BLIT_PORTS
 + sisRegs3D4 range
 - SISMERGED not touched (see below)
 + conditional include of xf86Resources.h, xf86RAC.h
 + xextproto 7.1 (dpmsconst.h vs dpms.h)
 + LoaderRefSymLists, xf86LoaderReqSymLists and ...Symbols removed
 + additional ifndef XSERVER_LIBPCIACCESS
- mergedfb: CreateNewResourceType ABI changed

* Sat Jan 02 2010 Michael Shigorin <mike@altlinux.org> 0.9-alt1
- confirmed as working, rebuilt for Sisyphus;
  thanks Anton Vinogradov and Andrey Liakhovets
- spec cleanup

* Sat Dec 26 2009 Anton Vinogradov <vinogradov.mail@gmail.com> 0.9.1-alt0.2
- experimental build for ALT Linux

